package com.bsis.peuplement.model;


public class ResultDossier {
    private Long dossier_id ;
    private String dossierState;
    private String adresse;
    private String siretDossier;
    private String xStorAdr;
    private String yStorAdr;
    private Long redevable_id ;
    private String siretRedevable;
    private String xFlatFile;
    private String yFlatFile;
    private String distance;

    //.................................
    // constructor
    //.................................
    public ResultDossier(Long dossier_id,
                         String dossierState,
                         String adresse,
                         String siretDossier,
                         String xStorAdr,
                         String yStorAdr,
                         Long redevable_id,
                         String siretRedevable,
                         String xFlatFile,
                         String yFlatFile,
                         String distance) {
        this.dossier_id = dossier_id;
        this.dossierState = dossierState;
        this.adresse = adresse;
        this.siretDossier = siretDossier;
        this.xStorAdr = xStorAdr;
        this.yStorAdr = yStorAdr;
        this.redevable_id = redevable_id;
        this.siretRedevable = siretRedevable;
        this.xFlatFile = xFlatFile;
        this.yFlatFile = yFlatFile;
        this.distance = distance;
    }

    //................................................
    public ResultDossier(){}
    //................................................
    // Getters
    //................................................
    public Long getDossier_id() {
        return dossier_id;
    }

    public String getDossierState() {
        return dossierState;
    }

    public String getAdresse() {
        return adresse;
    }

    public String getSiretDossier() {
        return siretDossier;
    }

    public String getxStorAdr() {
        return xStorAdr;
    }

    public String getyStorAdr() {
        return yStorAdr;
    }

    public Long getRedevable_id() {
        return redevable_id;
    }

    public String getSiretRedevable() {
        return siretRedevable;
    }

    public String getxFlatFile() {
        return xFlatFile;
    }

    public String getyFlatFile() {
        return yFlatFile;
    }

    public String getDistance() {
        return distance;
    }
    //............................................
    // Setters
    //.............................................
    public void setDossier_id(Long dossier_id) {
        this.dossier_id = dossier_id;
    }

    public void setDossierState(String dossierState) {
        this.dossierState = dossierState;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public void setSiretDossier(String siretDossier) {
        this.siretDossier = siretDossier;
    }

    public void setxStorAdr(String xStorAdr) {
        this.xStorAdr = xStorAdr;
    }

    public void setyStorAdr(String yStorAdr) {
        this.yStorAdr = yStorAdr;
    }

    public void setRedevable_id(Long redevable_id) {
        this.redevable_id = redevable_id;
    }

    public void setSiretRedevable(String siretRedevable) {
        this.siretRedevable = siretRedevable;
    }

    public void setxFlatFile(String xFlatFile) {
        this.xFlatFile = xFlatFile;
    }

    public void setyFlatFile(String yFlatFile) {
        this.yFlatFile = yFlatFile;
    }
    public void setDistance(String distance) {
        this.distance = distance;
    }
    //............................................
    // ToString
    //...........................................

    @Override
    public String toString() {
        return
                "N°:" + dossier_id +"-->"+'\'' +
                "[State='" + dossierState +"]"+ '\'' +
                ", adresse='" + adresse + '\'' +
                ", siretDossier='" + siretDossier + '\'' +
                ", xStorAdr='" + xStorAdr + '\'' +
                ", yStorAdr='" + yStorAdr + '\'' +
                ", redevable_id=" + redevable_id +
                ", siretRedevable='" + siretRedevable + '\'' +
                ", xFlatFile='" + xFlatFile + '\'' +
                ", yFlatFile='" + yFlatFile + '\'' +
                ", distance='" + distance + '\'' +
                '}';
    }

    //.......................................................

}
